﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/ec2-protocol/EC2Protocol_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace EC2Protocol
{
namespace Model
{
  enum class FooEnum
  {
    NOT_SET,
    Foo,
    Baz,
    Bar,
    _1,
    _0
  };

namespace FooEnumMapper
{
AWS_EC2PROTOCOL_API FooEnum GetFooEnumForName(const Aws::String& name);

AWS_EC2PROTOCOL_API Aws::String GetNameForFooEnum(FooEnum value);
} // namespace FooEnumMapper
} // namespace Model
} // namespace EC2Protocol
} // namespace Aws
